package com.dragon.tj.portal;

import com.dragon.tj.portal.auth.properties.AppProperties;
import com.dragon.tj.portal.auth.properties.CasProperties;
import com.dragon.tj.portal.auth.properties.ZeroTrustProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

@SpringBootApplication
@EnableConfigurationProperties({AppProperties.class, CasProperties.class, ZeroTrustProperties.class})
public class PortalServiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(PortalServiceApplication.class, args);
    }

}
