package com.dragon.tj.portal.auth.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "app")
public class AppProperties {
    private String logoutUrl;
    private String homeUrl;
    private String serviceUrl;
    private String filterUrl;
    private String targetUrl;
    private String failureUrl;
    private String authType;
}
