package com.dragon.tj.portal.auth.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "auth.cas")
public class CasProperties {
    private String appCode;
    private String baseUrl;
    private String loginUrl;
    private String logoutUrl;
    private String authenticationUrl;
    private String authorizeUrl;
}
