package com.dragon.tj.portal.auth.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 部门表
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("sys_dept")
public class SysDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "org_code", type = IdType.AUTO)
    private String orgCode;

    private String upOrgCode;

    private String orgKind;

    private String fullName;

    private String shortName;

    private String areaCode;

    private String standCode;

    private String orgType;

    private String orgLevel;

    private String orgRank;

    private String unitClass;

    private String email;

    private String linkMan;

    private String phone;

    private String updateTime;

    private String deleted;

}
