package com.dragon.tj.portal.auth.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.auth.web.entity.SysUser;
import com.dragon.tj.portal.entity.PageParam;

/**
 * <p>
 * 用户信息表 服务类
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
public interface SysUserService extends IService<SysUser> {

    SysUser getUserByKey(String key);

    SysUser getUserFromZeroTrust(String userToken);

    Page<SysUser> list(PageParam<SysUser> pageParam);
}
