package com.dragon.tj.portal.common.convert.mesage;

import com.dragon.tj.portal.common.dto.message.MessageInfoItem;
import com.dragon.tj.portal.common.dto.message.MessageInfoReq;
import com.dragon.tj.portal.entity.MessageInfo;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface MessageReqConvert {

    /**
     * User转换UserDTO
     *
     * @return {@link } Mappings是对字段名不一致的字段进行映射
     * <p>
     * Mapping可以处理变量名不一致映射关系以及指定日期格式等等
     */
    MessageInfoItem reqToItem(MessageInfoReq messageInfoReq);

    MessageInfo reqToInfo(MessageInfoReq messageInfoReq);

}
