package com.dragon.tj.portal.common.enums.message;

/**
 * @author huey China.
 * @Description : 消息读状态
 * @Date Created in 2023/6/28 15:48
 */
public enum MessageLevelEnum {

    HOT(1, "紧急"),
    DEFAULT(0, "正常");

    private final Integer value;
    private final String name;

    MessageLevelEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return this.value;
    }
}
