package com.dragon.tj.portal.common.enums.message;

/**
 * @author huey China.
 * @Description : 1 信息 2 消息通知
 * @Date Created in
 */
public enum MsgRecordTypeEnum {

    MESSAGE(1, "信息"),
    NOTICE(2, "消息通知");

    private final Integer value;
    private final String name;

    MsgRecordTypeEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return this.value;
    }
}
