package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.dto.notice.NoticeInfoReq;
import com.dragon.tj.portal.common.vo.message.MessagePageParam;
import com.dragon.tj.portal.common.vo.notice.NoticeInfoParam;
import com.dragon.tj.portal.common.vo.notice.NoticeInfoVO;
import com.dragon.tj.portal.entity.NoticeInfo;

import java.util.List;

/**
 * <p>
 * 消息表 服务类
 * </p>
 *
 * @author huey
 * @since 2023-07-11
 */
public interface NoticeInfoService extends IService<NoticeInfo> {

    R send(NoticeInfoReq messageInfoReq);

    NoticeInfoVO detail(Long id);

    boolean update(NoticeInfoParam noticeInfoParam);

    boolean read(Long id);

    boolean reads(List<Long> ids);

    IPage queryPage(Page page, MessagePageParam req);
}
