package com.dragon.tj.portal.auth.module.cas;

import com.dragon.tj.portal.auth.model.RR;
import com.dragon.tj.portal.auth.web.entity.SysUser;
import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Header;
import retrofit2.http.Path;

public interface CasAuthenticationClient {

    @GET("user-service/v1/users/{idCard}")
    Call<RR<SysUser>> getUserInfo(
            @Header("appCode") String appCode, @Header("idcard") String headerIdCard,
            @Path("idCard") String idCard);
}
