package com.dragon.tj.portal.component.redis;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.StringRedisTemplate;

@Configuration
public class StringRedisConfig {

    @Bean("strCacheUtil")
    public StringCacheUtil strCacheUtil(StringRedisTemplate stringRedisTemplate) {
        return new StringCacheUtil(stringRedisTemplate);
    }
}