package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.entity.CommentDetailInfo;
import com.dragon.tj.portal.entity.CommentInfo;
import com.dragon.tj.portal.entity.PageParam;

public interface CommentService {
    int add(CommentInfo commentInfo, LoginUser loginUser);

    /**
     * 分页搜索
     */
    Page<CommentInfo> search(PageParam<CommentInfo> pageParam);

    Page<CommentDetailInfo> detailSearch(PageParam<CommentDetailInfo> pageParam);

    int detailAdd(CommentDetailInfo detailInfo, LoginUser loginUser);
}
