package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.entity.InstallInfo;

import java.util.List;
import java.util.Set;

public interface InstallInfoService extends IService<InstallInfo> {

    /**
     * @return
     * @author huey China.
     * @Description : 获取appid下所有有效用户id标识
     * @Date Created in 2023/7/12 16:21
     */
    Set<String> findUsersByAppId(String appId);

    /*
     * 批量修改收藏
     * isBusiness: 0 应用级别，other 业务级别
     * */
    void batchUpdate(List<InstallInfo> list, int isBusiness);
}
