package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.SysDictItem;

/**
 * <p>
 * 字典项 服务类
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
public interface SysDictItemService extends IService<SysDictItem> {

    /**
     * 删除字典项
     *
     * @param id 字典项ID
     * @return
     */
    R removeDictItem(Integer id);

    /**
     * 更新字典项
     *
     * @param item 字典项
     * @return
     */
    R updateDictItem(SysDictItem item);
}
