package com.dragon.tj.portal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.common.vo.log.LogPageParam;
import com.dragon.tj.portal.entity.SysLog;
import com.dragon.tj.portal.mapper.SysLogMapper;
import com.dragon.tj.portal.service.SysLogService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 日志表 服务实现类
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
@Service
public class SysLogServiceImpl extends ServiceImpl<SysLogMapper, SysLog> implements SysLogService {

    @Override
    public IPage queryPage(Page page, LogPageParam req) {
        return baseMapper.queryPage(page, req);
    }

}
